<!-- title: Shipping Rule -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/accounts/doctype/shipping_rule"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabShipping Rule</code></p>


Specify conditions to calculate shipping amount

<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr >
            <td>1</td>
            <td class="danger" title="Mandatory"><code>label</code></td>
            <td >
                Data</td>
            <td >
                Shipping Rule Label
                <p class="text-muted small">
                    example: Next Day Shipping</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>2</td>
            <td ><code>disabled</code></td>
            <td >
                Check</td>
            <td >
                Disabled
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>3</td>
            <td ><code>calculate_based_on</code></td>
            <td >
                Select</td>
            <td class="text-muted" title="Hidden">
                Calculate Based On
                
            </td>
            <td>
                <pre>Net Total
Net Weight</pre>
            </td>
        </tr>
        
        <tr class="info">
            <td>4</td>
            <td ><code>rule_conditions_section</code></td>
            <td >
                Section Break</td>
            <td >
                Shipping Rule Conditions
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>5</td>
            <td class="danger" title="Mandatory"><code>conditions</code></td>
            <td >
                Table</td>
            <td >
                Shipping Rule Conditions
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/shipping_rule_condition">Shipping Rule Condition</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>6</td>
            <td ><code>section_break_6</code></td>
            <td >
                Section Break</td>
            <td >
                Valid for Countries
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>7</td>
            <td ><code>worldwide_shipping</code></td>
            <td >
                Check</td>
            <td >
                Worldwide Shipping
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>8</td>
            <td ><code>countries</code></td>
            <td >
                Table</td>
            <td >
                Valid for Countries
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/shipping_rule_country">Shipping Rule Country</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>9</td>
            <td ><code>section_break_10</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>10</td>
            <td class="danger" title="Mandatory"><code>company</code></td>
            <td >
                Link</td>
            <td >
                Company
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/company">Company</a>


                
            </td>
        </tr>
        
        <tr >
            <td>11</td>
            <td ><code>column_break_12</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>12</td>
            <td class="danger" title="Mandatory"><code>account</code></td>
            <td >
                Link</td>
            <td >
                Shipping Account
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/account">Account</a>


                
            </td>
        </tr>
        
        <tr >
            <td>13</td>
            <td class="danger" title="Mandatory"><code>cost_center</code></td>
            <td >
                Link</td>
            <td >
                Cost Center
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/cost_center">Cost Center</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.accounts.doctype.shipping_rule.shipping_rule</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>FromGreaterThanToError</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.exceptions.ValidationError</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
    </div>
    <hr>

	

	
        
	<h3 style="font-weight: normal;">Class <b>ManyBlankToValuesError</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.exceptions.ValidationError</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
    </div>
    <hr>

	

	
        
	<h3 style="font-weight: normal;">Class <b>OverlappingConditionError</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.exceptions.ValidationError</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
    </div>
    <hr>

	

	
        
	<h3 style="font-weight: normal;">Class <b>ShippingRule</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="sort_shipping_rule_conditions" href="#sort_shipping_rule_conditions" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>sort_shipping_rule_conditions</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Sort Shipping Rule Conditions based on increasing From Value</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_from_to_values" href="#validate_from_to_values" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_from_to_values</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_overlapping_shipping_rule_conditions" href="#validate_overlapping_shipping_rule_conditions" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_overlapping_shipping_rule_conditions</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
    </div>
    <hr>

	


    
    
        <h4>Linked In:</h4>
        <ul>
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/delivery_note">Delivery Note</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/quotation">Quotation</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/accounts/sales_invoice">Sales Invoice</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/sales_order">Sales Order</a>

</li>
			
        
        </ul>
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->