<!-- title: Product Bundle -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/selling/doctype/product_bundle"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabProduct Bundle</code></p>


Aggregate group of **Items** into another **Item**. This is useful if you are bundling a certain **Items** into a package and you maintain stock of the packed **Items** and not the aggregate **Item**. 

The package **Item** will have "Is Stock Item" as "No" and "Is Sales Item" as "Yes".

For Example: If you are selling Laptops and Backpacks separately and have a special price if the customer buys both, then the Laptop + Backpack will be a new Product Bundle Item.

Note: BOM = Bill of Materials

<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr class="info">
            <td>1</td>
            <td ><code>basic_section</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>2</td>
            <td class="danger" title="Mandatory"><code>new_item_code</code></td>
            <td >
                Link</td>
            <td >
                Parent Item
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item">Item</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>3</td>
            <td ><code>item_section</code></td>
            <td >
                Section Break</td>
            <td >
                
                <p class="text-muted small">
                    List items that form the package.</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>4</td>
            <td class="danger" title="Mandatory"><code>items</code></td>
            <td >
                Table</td>
            <td >
                Items
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/selling/product_bundle_item">Product Bundle Item</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.selling.doctype.product_bundle.product_bundle</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>ProductBundle</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="autoname" href="#autoname" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>autoname</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_main_item" href="#validate_main_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_main_item</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Validates, main Item is not a stock item</p>
</div>
	<br>

        
    </div>
    <hr>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.selling.doctype.product_bundle.product_bundle.get_new_item_code" href="#erpnext.selling.doctype.product_bundle.product_bundle.get_new_item_code" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.selling.doctype.product_bundle.product_bundle.<b>get_new_item_code</b>
        <i class="text-muted">(doctype, txt, searchfield, start, page_len, filters)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	


    
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->